Package org.eclipse.m2m.atl.core.ant.tasks.nested

## Class InModel

- java.lang.Object
- - org.eclipse.m2m.atl.core.ant.tasks.nested.InModel

    public class InModel
    extends java.lang.Object

Input model nested element.

### Field Summary

Fields
`protected java.lang.String` `metamodelName`
`protected java.lang.String` `model`
`protected java.lang.String` `name`

### Constructor Summary

Constructors
`InModel()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getMetamodelName()`
`java.lang.String` `getModel()`
`java.lang.String` `getName()`
`void` `setMetamodelName​(java.lang.String metamodelName)`
`void` `setModel​(java.lang.String model)`
`void` `setName​(java.lang.String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### model

    protected java.lang.String model

#### name

    protected java.lang.String name

#### metamodelName

    protected java.lang.String metamodelName

### Constructor Detail

#### InModel

    public InModel()

### Method Detail

#### setModel

    public void setModel​(java.lang.String model)

#### getModel

    public java.lang.String getModel()

#### getName

    public java.lang.String getName()

#### setName

    public void setName​(java.lang.String name)

#### getMetamodelName

    public java.lang.String getMetamodelName()

#### setMetamodelName

    public void setMetamodelName​(java.lang.String metamodelName)